<?
/*
*******************************
 IP-SYMCON Event Scripting
*******************************
File     : Move.ips.php
Trigger  :
Interval :
Author   : HJH
Project  : Installation
Date     : 31.12.06
*/



$project = "Installation"; // hier den Projektnamen (Name des Ordners) eintragen



// Projektname prfen **********************************************************
if ($project != "")
{
 echo "Projektname: \"". $project. "\"\r\n";
}
else
{
 echo "FEHLER:\r\n";
 echo "Kein Projektname angegeben!\r\n\n";
 echo "Beispiel:\r\n";
 echo "\$project = \"Test-Projekt\";\r\n\n";
 return;
}



// Projektverzeichnis prfen ***************************************************
$basePath = IPS_GetKernelDir();
$scriptPath = $basePath. "scripts\\";
$projectPath = $scriptPath. $project. "\\";
if (!file_exists($projectPath))
{
 echo "Projektverzeichnis existiert nicht: \"". $projectPath. "\"\r\n\n";
 return;
}



// alle registrierten Scripts in das Projektverzeichnis verschieben ************
$category = "IP-SYMCON\\". $project;
$cLen = strlen($category);
$fileList = scandir($scriptPath);
$scriptMask = ".ips.php";
$mLen = strlen($scriptMask);
$mFlag = false;
foreach($fileList as $file)
{
 if (substr($file, -$mLen) == $scriptMask)
 {
  $scriptFile = basename($file);
  $script = basename($file, $scriptMask);
  if (substr(LOC_GetLocation_Script($script), 0, $cLen) == $category)
  {
   if (file_exists($projectPath. $scriptFile))
   {
    echo "Script existiert bereits: \"". $scriptFile. "\"\r\n";
   }
   else
   {
    echo "Script verschoben: \"". $scriptFile. "\r\n";
    rename($scriptPath. $scriptFile, $projectPath. $scriptFile);
    $mFlag = true;
   }
  }
 }
}
if ($mFlag)
 echo "Alle Scripts der Kategorie verschoben: \"". $category. "\"\r\n";
else
 echo "Keine Scripts der Kategorie gefunden: \"". $category. "\"\r\n";



// eine evtl. vorhandene Designer Form in das Projektverzeichnis verschieben ***
$formPath = $basePath. "forms\\";
$form = $project. ".bin";
if (file_exists($formPath. $form))
{
 if (file_exists($projectPath. $form))
 {
  echo "Designer Form existiert bereits: \"". $form. "\"\r\n";
 }
 else
 {
  rename($formPath. $form, $projectPath. $form);
  echo "Designer Form verschoben: \"". $form. "\"\r\n";
 }
}
else
{
 echo "Keine Designer Form gefunden: \"". $form. "\"\r\n";
}
?>
